﻿using System.ComponentModel;
using System.Windows.Forms;
using WinFormsMVC.Inheritance;

namespace WinFormsMVC
{
    [TypeDescriptionProvider(typeof(ConcreteViewFormProvider))]
    public partial class ViewForm : Form
    {
        public ViewForm()
        {
            InitializeComponent();

            ViewData = new ViewDataDictionary();
        }

        public ViewDataDictionary ViewData { get; private set; }

        protected System.ComponentModel.IContainer components = null;

        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.Text = "ViewForm";
        }
    }
}
