﻿using System.ComponentModel;
using System.Windows.Forms;
using WinFormsMVC.Inheritance;

namespace WinFormsMVC
{
    [TypeDescriptionProvider(typeof(ConcreteViewUserControlProvider))]
    public partial class ViewUserControl : UserControl
    {
        public ViewUserControl()
        {
            InitializeComponent();

            ViewData = new ViewDataDictionary();
        }

        public ViewDataDictionary ViewData { get; internal set; }

        protected System.ComponentModel.IContainer components = null;

        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void InitializeComponent()
        {
            components = new System.ComponentModel.Container();
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
        }
    }
}
